Minas láser
(08/07/2018, 07:17 PM)Saber escribió: Que haces reviviendo un tema de mas de 1 año??


(08/07/2018, 07:28 PM)FrancoX escribió:
(08/07/2018, 07:17 PM)Saber escribió: Que haces reviviendo un tema de mas de 1 año??

Que hay de malo ?, esta bien que le de sugerencias.

Apoyo lo que dijo FrancoX.
Responder
Haber, el dueño esta suspendido, quien editara el post. por eso mismo. Le digo eso
[Imagen: b_560_95_1.png]
Responder
Pero el tipo no estará suspendido permanente solo es algo duradero.
Trolleyes
Responder
si, 20 años, llegara al 2038

revisa el perfil de treki -.-
[Imagen: b_560_95_1.png]
Responder
(09/07/2018, 10:15 AM)Saber escribió: si, 20 años, llegara al 2038

revisa el perfil de treki -.-

Manu puede volver cuando él quiera, él mismo pidió qué lo suspendan para quitarse el mal habito de entrar y no ver nada nuevo.

Por ende deja qué hagan sugerencias referentes al plugin.
Responder
A okey, mala mia.
[Imagen: b_560_95_1.png]
Responder
ACTUALIZADO 1/13/2020

Este post esta con autorización de @Treki (autor del thread) y la modificación del plugin fue hecha por el, simplemente no puede publicar porque esta baneado. Roflmao

Cabe destacar que no hay changelog (por ahora), el código en si fue cambiado en varias partes y debería funcionar sin problemas, eso si, no fue probado, por lo que el feedback seria necesario.

EDIT: Changelog agregado

Código:
[*] Completa refactorización del código.
[*] Optimizaciones principalmente en el think de los lasers.
[*] Natives agregadas.
[*] Soporte nativo para versiones posteriores o igual a 183.
[*] Compatibilidad con versiones inferiores o igual a 182.
[*] La cvar lm_bugable ahora también funciona con tripmines.
[*] Se agregaron varias opciones a la cvar lm_protect.
[*] Se removió la cvar lm_fly (funcionalidad incluida en lm_force).
[*] Archivo de configuraciones ahora es mas legible y explicativo.


Archivos adjuntos
.zip   Minas_laser.zip (Tamaño: 737.35 KB / Descargas: 32)
[Imagen: ZPChileOficial.png]

[Imagen: b_350_20_323957_202743_f19a15_111111.png]
Zombie Plague Chile

Discord AMXX: Click URL invitación
Venta Jailbreak: Click aca
Responder
Podrías hacer una versión de zp para que los zombies puedan comprar mina también? que cuando el humano lo compre la mina tenga glow y beam azul y si lo compra el zombie que tenga glow y beam rojo. El daño igual que solo afecte al equipo contrario.
Responder
(13/01/2020, 02:28 PM)metita escribió: ACTUALIZADO 1/13/2020

Este post esta con autorización de @Treki (autor del thread) y la modificación del plugin fue hecha por el, simplemente no puede publicar porque esta baneado. Roflmao

Cabe destacar que no hay changelog (por ahora), el código en si fue cambiado en varias partes y debería funcionar sin problemas, eso si, no fue probado, por lo que el feedback seria necesario.

EDIT: Changelog agregado

Código:
[*] Completa refactorización del código.
[*] Optimizaciones principalmente en el think de los lasers.
[*] Natives agregadas.
[*] Soporte nativo para versiones posteriores o igual a 183.
[*] Compatibilidad con versiones inferiores o igual a 182.
[*] La cvar lm_bugable ahora también funciona con tripmines.
[*] Se agregaron varias opciones a la cvar lm_protect.
[*] Se removió la cvar lm_fly (funcionalidad incluida en lm_force).
[*] Archivo de configuraciones ahora es mas legible y explicativo.

Hola metita desde ante mano gracias por actualizar el plugin, el tema es el siguiente; lo compile con el 1.8.2 y claramente me salto error, actualize a 1.8.3 el amxstudio me dejo compilarlo, todo perfecto. pero cuando lo tire a mi carpeta del SV que tengo en mi pc (sv dedicado asi de casa) me salta error de version.
[*] Compatibilidad con versiones inferiores o igual a 182. debido a que esto no se cumple lo actualize a 1.8.3 el sv no lo lee, y rompi todo el amx XD ni el say admin me funciona jajaj. aca el log.

Cita:L 03/26/2020 - 20:59:20: Start of error session.
L 03/26/2020 - 20:59:20: Info (map "de_dust2") (file "addons/amxmodx/logs/error_20200326.log")
L 03/26/2020 - 20:59:20: [AMXX] Load error 17 (invalid file format or version) (plugin "lasers.amxx")
L 03/26/2020 - 21:01:23: Start of error session.
L 03/26/2020 - 21:01:23: Info (map "de_dust2") (file "addons/amxmodx/logs/error_20200326.log")
L 03/26/2020 - 21:01:23: [AMXX] Load error 17 (invalid file format or version) (plugin "lasers.amxx")

Disculpa por ahi parece estupido o no se pueda, no podras compilarlo con el 1.8.2 y subir el archivo .amxx asi puedo probar dicho plugin, osea la version de treki me carga bien el problema es con este que actualizaste vos.

Desde ya muchas gracias. Atte El Abuelo
Responder
Actualizaste mal el servidor...

Tanto el plugin como el servidor tienen que tener la misma versión o ser compatibles.
Responder
(26/03/2020, 09:49 PM)Chema escribió: Actualizaste mal el servidor...

Tanto el plugin como el servidor tienen que tener la misma versión o ser compatibles.

Hola Chema, gracias por ayudar, mira acabo de subirlo a SV-ONLINE y pasa lo mismo, osea lo actualizo a 1.8.3 y directamente ni el say admin anda, busque en la pag oficial de amxmod y esta el 1.8.2 para descargar y separado para actualizar de otro lado baje el 1.8.3 evidentemente me esta faltando algo. Busque en youtube y se ve que no funciono si alguno tiene una guia que funcione para tener el 1.8.3 y me la manda. muero por probar estos lasers lpm
Responder
Vas a esta página: https://www.amxmodx.org/downloads-new.ph...ster&all=1

Luego te paras en el sistema operativo que utiliza el servidor, descargas el 'Base package' y 'Counter-Strike'; descomprimes ambos en el directorio de addons y listo.

Saludos! Crab
Responder
(27/03/2020, 12:54 AM)Chema escribió: Vas a esta página: https://www.amxmodx.org/downloads-new.ph...ster&all=1

Luego te paras en el sistema operativo que utiliza el servidor, descargas el 'Base package' y 'Counter-Strike'; descomprimes ambos en el directorio de addons y listo.

Saludos! Crab

Despues de luchar 2 dias, funciono. para los proximos que quieran este plugin sigan esta guia haganle caso a chema se descargan esas 2 cosas y el plugin compila y funciona!

GRACIAS CHEMA! Roflmao
Responder
Hola al compilar el zp_lasers.sma da error, yo no tengo un server de zombie plague, tengo un server normal.

Adicionalmente, como se compra el laser en el juego?

hay que bindiar algun comando?

Código:
//// zp_lasers.sma
// C:\Games\Counter-Strike 1.6\cstrike\addons\amxmodx\scripting\zp_lasers.sma(7) : fatal error 100: cannot read from file: "zombieplague"
//
// Compilation aborted.
// 1 Error.
// Could not locate output file C:\Games\Counter-Strike 1.6\cstrike\addons\amxmodx\scripting\compiled\zp_lasers.amx (compile failed).
//
// Compilation Time: 0,16 sec
// ----------------------------------------

Press enter to exit ...

Actualizo, esto.. Ya lo resolvi.

bind "7" "say /lm"
bind "8" "+setlaser"

Un abrazop
Responder
Podras colocar algunja opcion para que los bots puedan comprar y poner minas?
Responder
(11/04/2020, 05:08 PM)maxedrom escribió: Podras colocar algunja opcion para que los bots puedan comprar y poner minas?

Eso no depende del plugin, depende de los bots. ekis de
Responder
Actualizado!

Ya le había pedido a metita que lo deje acá pero ahora aprovecho para actualizar el thread. El changelog es mas o menos el mismo que dejó metita, el código es completamente distinto en comparación a sus versiones previas. Si bien no presenta muchos arreglos (o tal vez ninguno) si que tienen algunas mejoras en performance (acomodé el think) y nuevas cvars para que sean aún mas personalizables sin meter mano. En el thread tienen ahora listadas todas las cvars que poseen los lasers, explicadas y con sus respectivos valores por defecto.

La versión ZP no está probada!
Si contactarme quieres, agregarme en Steam puedes. Consultas y/o pedidos privados.
¿Buscás un ejemplo o algún modo de juego? Podés echarle un vistazo a mis humildes aportes
.
Responder
Buenas si alguien tiene los resources que me pase:V intente descargar el zip pero no funca Cutecry si alguien lo descargo seria tan amable de pasarmepacman Proud
Responder


Salto de foro:


Usuarios navegando en este tema: 3 invitado(s)